Skip to content

Login

| View as Markdown

To manage the card of a customer, prepaid card portal access will be provided. To login, we need to enter credentials. This API is to create user identification token. All user related action requires token which will expire in 30 min. We must pass mobile no and password in request. If the request has valid details, token will be generated.

https://kraken.airpay.co.in/airpay/ms/cards/api/user-login
FieldTypeDescription
affiliatetextWill be provided by Airpay (length 10, required)
checksumtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)
processor-keytextWill be provided by airpay(constant, required)
FieldTypeDescription
mobile_nonumericMobile number of customer(length 10, required)
passwordtextPassword of customer(length 20, required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/user-login' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX978' \
--data-urlencode 'password=Apswd@1234'
FieldTypeDescription
statusnumeric400- fail,200-success(length 3, required)
messagetextSuccess, Fail(required)
datajson{“token”:”12w234”}(required)
{
"status": 200,
"message": "success",
"data": {
"token": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
}
{
"status": 400,
"message": "fail"
}